Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.slice
Class ProductDerivation

    java.lang.Object
      org.apache.openjpa.lib.conf.AbstractProductDerivation
          org.apache.openjpa.slice.ProductDerivation

All Implemented Interfaces:
  OpenJPAProductDerivation, ProductDerivation

    public class ProductDerivation

extends AbstractProductDerivation
implements OpenJPAProductDerivation

Derives configuration for Slice. Introduces a specialized BrokerFactory aliased as `slice`. All Slice specific configuration is prefixed as `openjpa.slice.*.*`

Author:
  Pinaki Poddar

Field Summary
`static String` | `HINT_TARGET` Hint key `openjpa.hint.slice.Target` to specify a subset of slices for query.
`static String` | `PREFIX_SLICE` Prefix for all Slice-specific configuration properties.

Fields inherited from interface org.apache.openjpa.conf.OpenJPAProductDerivation
`TYPE_PRODUCT_STORE, TYPE_SPEC, TYPE_SPEC_STORE, TYPE_STORE`

Fields inherited from interface org.apache.openjpa.lib.conf.ProductDerivation
`TYPE_FEATURE, TYPE_PRODUCT`

Constructor Summary
`ProductDerivation()`

Method Summary
`String` | `getConfigurationPrefix()` Return the configuration prefix for properties of this product.
`Set<String>` | `getSupportedQueryHints()` Return set of Query hint keys recognized by this receiver.
`int` | `getType()` Return the type of derivation.
`void` | `putBrokerFactoryAliases(Map m)` Load default alias options into the given map.

Methods inherited from class org.apache.openjpa.lib.conf.AbstractProductDerivation
`afterSpecificationSet, beforeConfigurationClose, beforeConfigurationConstruct, beforeConfigurationLoad, getAnchorsInFile, getAnchorsInResource, getDefaultResourceLocation, load, load, loadDefaults, loadGlobals, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.lib.conf.ProductDerivation
`afterSpecificationSet, beforeConfigurationClose, beforeConfigurationConstruct, beforeConfigurationLoad, getAnchorsInFile, getAnchorsInResource, getDefaultResourceLocation, load, load, loadDefaults, loadGlobals, validate`

Field Detail

### PREFIX_SLICE

    public static final String PREFIX_SLICE

  Prefix for all Slice-specific configuration properties.

  See Also:
    Constant Field Values

### HINT_TARGET

    public static final String HINT_TARGET

  Hint key `openjpa.hint.slice.Target` to specify a subset of slices for query. The value corresponding to the key is comma-separated list of slice identifiers.

  See Also:
    Constant Field Values

Constructor Detail

### ProductDerivation

    public ProductDerivation()

Method Detail

### putBrokerFactoryAliases

    public void putBrokerFactoryAliases(Map m)

  Description copied from interface: `OpenJPAProductDerivation`
  Load default alias options into the given map. Each entry maps an alias to a broker factory class name. Replace anything previously under the desired keys.

  Specified by:
    `putBrokerFactoryAliases` in interface `OpenJPAProductDerivation`

### getConfigurationPrefix

    public String getConfigurationPrefix()

  Description copied from interface: `ProductDerivation`
  Return the configuration prefix for properties of this product.

  Specified by:
    `getConfigurationPrefix` in interface `ProductDerivation`
  Overrides:
    `getConfigurationPrefix` in class `AbstractProductDerivation`

### getType

    public int getType()

  Description copied from interface: `ProductDerivation`
  Return the type of derivation.

  Specified by:
    `getType` in interface `ProductDerivation`

### getSupportedQueryHints

    public Set<String> getSupportedQueryHints()

  Description copied from interface: `ProductDerivation`
  Return set of Query hint keys recognized by this receiver.

  Specified by:
    `getSupportedQueryHints` in interface `ProductDerivation`
  Overrides:
    `getSupportedQueryHints` in class `AbstractProductDerivation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.